QCAT - Task #1150

User Story # 1756 (Accepted): User friendly management of translations

Inform user if he adds a translation

06 Dec 2016 15:05 - Kurt Gerber

Status: Accepted Start date: 06 Dec 2016
Priority: Normal Due date:

Assignee: Kurt Gerber % Done: 0%
Category: Estimated time: 8.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

History

#1 - 27 Jan 2017 13:06 - Kurt Gerber

- Status changed from New to Accepted

#2 - 02 Feb 2017 11:03 - Kurt Gerber

Ein Button fur Sprache der Erfassung
Ein Button fur Ubersetzung -> dann Sprache wahlen

#3 - 02 May 2017 08:36 - Lukas Vonlanthen

[Mail von Nicole an Lukas, Alexandra, Cornelia vom 1.5.2017]
Lieber Lukas und Alexandra

Sobald du Lukas im QCAT zum Ticket der Sprachversionen kommst (im Sommer, wenn ich nicht mehr da bin J) kénntest du und Alexandra dann
bitte auch mit Conny schauen. Im IFAD Projekt sollten wir bis dahin relativ viele Eintrdge auf Khmer und Lao haben und wenn irgendwie mdéglich,
sollte es beim Erstellen der Englischversionen kein Chaos geben (so wie das jetzt beim DRR passiert ist...).

@ Conny, du kdnntest dann mit Lukas/Alexandra schauen, was der Stand ist und wie man dies mit der Englischen Version am besten l6st.

Danke an alle
Nicole

From: Nicole Harari

Sent: Donnerstag, 20. April 2017 14:55

To: Nina Lauterburg <nina.lauterburg@cde.unibe.ch>; Alexandra Gavilano <alexandra.gavilano@cde.unibe.ch>
Cc: Mathias Gurtner <mathias.gurtner@cde.unibe.ch>

Subject: Sprachversionen QCAT

Liebe Nina

Wir haben heute noch einmal Uiber die Sprachversionen gesprochen. Dazu gibt es ja bereits einige Tickets, welche Mats und ich auch kurz mit Lukas
angeschaut haben.

Lukas hat gemeint, dass er so im Sommer dazu kommen wird.

Die Tickets enthalten nur sehr wenige Erklarungen. Es wére es fur Lukas und ev. auch fir Alexandra dann im Sommer gabig, wenn noch einige
Details / Wiinsche / bisherige Erfahrungen (da war ja der Fall von Rebekka in Burkina Faso) im Ticket festgehalten wiirden.

Kdnntest du dies machen?

@ Alexandra: bei den DRR Fallen werden wir das Problem haben, dass die Sprachversionen im Moment nicht geléscht werden kénnen. D.h. sobald
wir die DRR Falle auf public schalten, dann werden die unvollstandigen Englischfalle (von den original Franz und Spanischfallen) auch automatisch
angezeigt werden... Ev. misste man diese dann — nachdem fiir das Buch die Englische Ubersetzung gemacht wurde — priorisieren und die HiWis
kénnten die Englische Version vervollstandigen.

Danke und Gruss
Nicole
#4 - 15 May 2017 09:58 - Nina Lauterburg

Ich habe da auch nicht viel mehr Infos.

Was sicher wichtig ist: Den Leuten muss auf den ersten Blick klar sein, wo und wie sie einen Fall Gbersetzen kdnnen. Z.B. hatte ich mal mit einem
User zu tun, der nicht wusste, ob er durch das switchen der Sprache dann die Originalversion iiberschreibt. Im Moment ist die Ubersetzung also nicht
klar. Am besten sollten wir wohl einen Button "Translate the/a SLM practice" oder so &hnlich haben, entweder direkt bei der jeweiligen case study,
oder in der Ubersicht. Alexandra hat da sicher auch bereits Erfahrungen gemacht, da sie bereits mit vielen Usern in Kontakt war.

#5 - 18 Aug 2017 12:20 - Kurt Gerber
- Assignee set to Kurt Gerber

- Priority changed from High to Normal
Habe Status ge&ndert, da diese User Story momentan nicht finanziert ist.

#6 - 05 Jan 2018 14:38 - Kurt Gerber

- Related to User Story #1756: User friendly management of translations added

#7 - 05 Jan 2018 14:42 - Kurt Gerber

Diese User Story sollte im grésseren Rahmen gesehen werden:
User friendly Translation Management

The activity of 'Adding a tranlsation' As well as view, reviewing different translations of the same case, have to be made much more explicit.
The Translation workflow has to be clarified.

An idea is to allow translations only after the draft version of one language is either published or at least submitted to publication. As only then a
text is final enough to be translated.

THis ticket is a User Story connecting different other requests/tickets into one User Story.

Dabei gibt es mehrere Ticktes, die damit zusammenhéangen. Siehe 'Related Tickets'

#8 - 05 Jan 2018 14:42 - Kurt Gerber
- Related to deleted (User Story #1756: User friendly management of translations)

#9 - 05 Jan 2018 14:43 - Kurt Gerber

- Related to Task #1159: L6schen von Sprachversionen: added

#10 - 05 Jan 2018 14:43 - Kurt Gerber
- Related to Task #932: Add language switcher to details view added

#11 - 05 Jan 2018 14:43 - Kurt Gerber

- Related to Task #933: Translated Questionnaires: Show in Review added

#12 - 06 Mar 2018 09:15 - Kurt Gerber
- Related to deleted (Task #1159: Léschen von Sprachversionen: )

#13 - 06 Mar 2018 09:16 - Kurt Gerber
- Related to deleted (Task #932: Add language switcher to details view)

#14 - 06 Mar 2018 09:40 - Kurt Gerber

- Related to deleted (Task #933: Translated Questionnaires: Show in Review)

#15 - 06 Mar 2018 09:42 - Kurt Gerber
- Tracker changed from User Story to Task

- Parent task set to #1756
